Package org.python.core

# Class CodeLoader

java.lang.Object
org.python.core.CodeLoader

public final class CodeLoader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`filename`
`static final String`
`GET_BOOTSTRAP_METHOD_NAME`
`final String`
`name`
`static final String`
`SIMPLE_FACTORY_METHOD_NAME`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`canLoad(Class<?> cls)`
`static CodeBootstrap`
`createSimpleBootstrap(PyCode code)`
`static PyCode`
`loadCode(Class<?> cls)`
`static PyCode`
`loadCode(Class<?> cls, String name, String filename)`
`static PyCode`
`loadCode(CodeBootstrap bootstrap)`
`static PyCode`
`loadCode(CodeBootstrap bootstrap, String name, String filename)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GET_BOOTSTRAP_METHOD_NAME

public static final String GET_BOOTSTRAP_METHOD_NAME

See Also:
  - Constant Field Values

### name

public final String name

### filename

public final String filename

### SIMPLE_FACTORY_METHOD_NAME

public static final String SIMPLE_FACTORY_METHOD_NAME

See Also:
  - Constant Field Values

## Method Details

### canLoad

public static boolean canLoad(Class<?> cls)

### loadCode

public static PyCode loadCode(Class<?> cls, String name, String filename) throws SecurityException, NoSuchMethodException, IllegalArgumentException, IllegalAccessException, InvocationTargetException

Throws:
  `SecurityException`
  `NoSuchMethodException`
  `IllegalArgumentException`
  `IllegalAccessException`
  `InvocationTargetException`

### loadCode

public static PyCode loadCode(Class<?> cls) throws SecurityException, IllegalArgumentException, NoSuchMethodException, IllegalAccessException, InvocationTargetException

Throws:
  `SecurityException`
  `IllegalArgumentException`
  `NoSuchMethodException`
  `IllegalAccessException`
  `InvocationTargetException`

### loadCode

public static PyCode loadCode(CodeBootstrap bootstrap, String name, String filename)

### loadCode

public static PyCode loadCode(CodeBootstrap bootstrap)

### createSimpleBootstrap

public static CodeBootstrap createSimpleBootstrap(PyCode code)